#include <bits/stdc++.h>
using namespace std;
int i, j, n, k, rez, nizplus[1000020], nizminus[1000020], a;

int main () {
cin >> n >> k;



for (i=1; i<=n; i++) {
    cin >> a;

    if (a>=0) {
     nizplus[a]+=1;
     if (nizplus[a]==k) {
            rez++;
   //         cout << a <<" " << i << " " << nizplus[a] <<endl;
     }
}

    if (a<0) {
     nizminus[-a]+=1;

     if (nizminus[-a]==k){
        rez++;
     //   cout << a <<" " << i << " " << nizminus[-a] << endl;
     } }
}

cout << rez << endl;
for(i=0; i<=n; i++) {
    if (nizplus[i]>=k)
        cout << i << " ";
    if (nizminus[i]>=k)
        cout << -i << " ";
}


return 0;
}